Bug 146507 - [patch] devel/py-Jinja2: enable speedups
[patch] devel/py-Jinja2: enable speedups
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pgollucci
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 03:10 UTC by oleg
Modified: 2010-09-09 02:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description oleg 2010-05-12 03:10:03 UTC
Jinja2 used to default to building C speedups (these IIRC implement escaping functionality), current version defaults to not building the speedups.

They are normally enabled by passing --with-speedups to setuptools, but it is a global argument and has to go before the command:

python setup.py --with-speedups install

bsd.python.mk has no support for such global arguments.

The linked patch instead patches the source tree to default to building speedups, fixes plist and bumps portrevision.

files directory needs to be created before applying the patch with patch utility.

Fix: 

http://dump.bsdpower.com/2010/05/11/with-speedups.patch
Comment 1 Edwin Groothuis freebsd_committer 2010-05-12 03:10:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nivit

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 pgollucci freebsd_committer 2010-09-09 01:29:32 UTC
Responsible Changed
From-To: nivit->pgollucci

maintainer timeout (nivit ; 120 days)
Comment 3 pgollucci freebsd_committer 2010-09-09 02:35:32 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 4 dfilter freebsd_committer 2010-09-09 02:35:34 UTC
pgollucci    2010-09-09 01:35:26 UTC

  FreeBSD ports repository

  Modified files:
    devel/py-Jinja2      Makefile pkg-plist 
  Added files:
    devel/py-Jinja2/files patch-manifest.in-speedups 
                          patch-setup.py-speedups 
  Log:
  - Enable speedups
  
  PR:             ports/146507
  Submitted by:   Oleg Pudeyev <oleg@bsdpower.com>
  Approved by:    maintainer timeout (nivit ; 120 days)
  
  Revision  Changes    Path
  1.8       +2 -0      ports/devel/py-Jinja2/Makefile
  1.1       +9 -0      ports/devel/py-Jinja2/files/patch-manifest.in-speedups (new)
  1.1       +11 -0     ports/devel/py-Jinja2/files/patch-setup.py-speedups (new)
  1.7       +6 -2      ports/devel/py-Jinja2/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"